Skip to main content
POST
/
tickets
/
{ticketId}
/
voice-reply
Voice reply (dictate or smart)
curl --request POST \
  --url https://api.gleap.io/v3/tickets/{ticketId}/voice-reply \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'project: <project>' \
  --data '
{
  "audioUrl": "<string>"
}
'
{
  "reply": "<string>",
  "transcript": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Path Parameters

ticketId
string
required

Body

application/json
audioUrl
string
required

Public URL of the uploaded audio clip (from POST /uploads).

mode
enum<string>
required

dictate returns the transcript; smart returns a drafted reply.

Available options:
dictate,
smart

Response

200 - application/json

Ok

reply
string
transcript
string